Below is the list of changes that have just been committed into a local
5.0 repository of joerg. When joerg does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet@stripped, 2006-11-10 19:07:52+01:00, joerg@trift2. +15 -0
Merge trift2.:/MySQL/M41/push-4.1
into trift2.:/MySQL/M50/push-5.0
MERGE: 1.1616.2838.6
BitKeeper/deleted/.del-gcc.cpp~3d2e013cfac48838@stripped, 2006-11-10 16:00:26+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.2.1.2
BitKeeper/deleted/.del-gcc.cpp~3d2e013cfac48838@stripped, 2006-11-10 16:00:25+01:00, joerg@trift2. +0 -0
Merge rename: ndb/src/common/portlib/gcc.cpp -> BitKeeper/deleted/.del-gcc.cpp~3d2e013cfac48838
configure.in@stripped, 2006-11-10 16:00:26+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.201.64.15
include/my_time.h@stripped, 2006-11-10 16:00:26+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.5.1.4
myisam/sort.c@stripped, 2006-11-10 16:05:00+01:00, joerg@trift2. +0 -4
Manual merge: "use local" (= 5.0 version).
MERGE: 1.35.1.15
mysql-test/install_test_db.sh@stripped, 2006-11-10 16:00:27+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.24.1.10
mysql-test/mysql-test-run.pl@stripped, 2006-11-10 19:07:49+01:00, joerg@trift2. +12 -5
Manual merge, part of the fix for bug#17194.
MERGE: 1.8.14.2
mysql-test/mysql-test-run.sh@stripped, 2006-11-10 16:00:28+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.208.1.63
mysql-test/r/func_time.result@stripped, 2006-11-10 16:00:28+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.23.6.5
mysql-test/r/rename.result@stripped, 2006-11-10 16:00:28+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.7.1.4
mysql-test/t/func_time.test@stripped, 2006-11-10 16:00:28+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.21.5.5
mysql-test/t/rename.test@stripped, 2006-11-10 16:00:28+01:00, joerg@trift2. +0 -3
Auto merged
MERGE: 1.11.1.2
sql-common/my_time.c@stripped, 2006-11-10 16:00:30+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.6.1.11
sql/item_timefunc.cc@stripped, 2006-11-10 16:00:29+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.51.6.6
sql/mysql_priv.h@stripped, 2006-11-10 16:00:29+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.186.91.57
sql/time.cc@stripped, 2006-11-10 16:00:30+01:00, joerg@trift2. +0 -0
Auto merged
MERGE: 1.49.1.6
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: joerg
# Host: trift2.
# Root: /MySQL/M50/push-5.0/RESYNC
--- 1.35/mysql-test/install_test_db.sh 2006-11-10 19:08:00 +01:00
+++ 1.36/mysql-test/install_test_db.sh 2006-11-10 19:08:00 +01:00
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright (C) 1997-2002 MySQL AB
+# Copyright (C) 1997-2006 MySQL AB
# For a more info consult the file COPYRIGHT distributed with this file
# This scripts creates the privilege tables db, host, user, tables_priv,
@@ -7,19 +7,26 @@
if [ x$1 = x"--bin" ]; then
shift 1
+ BINARY_DIST=1
+
+ bindir=../bin
+ scriptdir=../bin
+ libexecdir=../libexec
# Check if it's a binary distribution or a 'make install'
if test -x ../libexec/mysqld
then
execdir=../libexec
+ elif test -x ../../sbin/mysqld # RPM installation
+ then
+ execdir=../../sbin
+ bindir=../../bin
+ scriptdir=../../bin
+ libexecdir=../../libexec
else
execdir=../bin
fi
- bindir=../bin
- BINARY_DIST=1
fix_bin=mysql-test
- scriptdir=../bin
- libexecdir=../libexec
else
execdir=../sql
bindir=../client
--- 1.310/mysql-test/mysql-test-run.sh 2006-11-10 19:08:00 +01:00
+++ 1.311/mysql-test/mysql-test-run.sh 2006-11-10 19:08:00 +01:00
@@ -174,18 +174,29 @@
# Misc. Definitions
#--
-if [ -d ../sql ] ; then
+# BASEDIR is always above mysql-test directory ...
+MYSQL_TEST_DIR=`pwd`
+cd ..
+
+if [ -d ./sql ] ; then
SOURCE_DIST=1
else
BINARY_DIST=1
fi
-#BASEDIR is always one above mysql-test directory
-CWD=`pwd`
-cd ..
-BASEDIR=`pwd`
-cd $CWD
-MYSQL_TEST_DIR=$BASEDIR/mysql-test
+# ... one level for tar.gz, two levels for a RPM installation
+if [ -d ./bin ] ; then
+ # this is not perfect: we have
+ # /usr/share/mysql/ # mysql-test-run is here, so this is "$MYSQL_TEST_DIR"
+ # /usr/bin/ # with MySQL client programs
+ # so the existence of "/usr/share/bin/" would make this test fail.
+ BASEDIR=`pwd`
+else
+ cd ..
+ BASEDIR=`pwd`
+fi
+
+cd $MYSQL_TEST_DIR
MYSQL_TEST_WINDIR=$MYSQL_TEST_DIR
MYSQLTEST_VARDIR=$MYSQL_TEST_DIR/var
export MYSQL_TEST_DIR MYSQL_TEST_WINDIR MYSQLTEST_VARDIR
@@ -744,8 +755,15 @@
if test -x "$BASEDIR/libexec/mysqld"
then
MYSQLD="$VALGRIND $BASEDIR/libexec/mysqld"
- else
+ elif test -x "$BASEDIR/bin/mysqld"
+ then
MYSQLD="$VALGRIND $BASEDIR/bin/mysqld"
+ elif test -x "$BASEDIR/sbin/mysqld"
+ then
+ MYSQLD="$VALGRIND $BASEDIR/sbin/mysqld"
+ else
+ $ECHO "Fatal error: Cannot find program mysqld in $BASEDIR/{libexec,bin,sbin}" 1>&2
+ exit 1
fi
CLIENT_BINDIR="$BASEDIR/bin"
if test -d "$BASEDIR/tests"
@@ -1390,7 +1408,7 @@
then
$ECHO "set args $master_args" > $GDB_MASTER_INIT$1
$ECHO "To start gdb for the master , type in another window:"
- $ECHO "cd $CWD ; gdb -x $GDB_MASTER_INIT$1 $MASTER_MYSQLD"
+ $ECHO "cd $MYSQL_TEST_DIR ; gdb -x $GDB_MASTER_INIT$1 $MASTER_MYSQLD"
wait_for_master=1500
else
( $ECHO set args $master_args;
@@ -1508,7 +1526,7 @@
then
$ECHO "set args $slave_args" > $GDB_SLAVE_INIT
echo "To start gdb for the slave, type in another window:"
- echo "cd $CWD ; gdb -x $GDB_SLAVE_INIT $SLAVE_MYSQLD"
+ echo "cd $MYSQL_TEST_DIR ; gdb -x $GDB_SLAVE_INIT $SLAVE_MYSQLD"
wait_for_slave=1500
else
( $ECHO set args $slave_args;
--- 1.2.1.1/ndb/src/common/portlib/gcc.cpp 2006-11-10 19:08:01 +01:00
+++ 1.5/BitKeeper/deleted/.del-gcc.cpp~3d2e013cfac48838 2006-11-10 19:08:01 +01:00
@@ -2,7 +2,7 @@
/**
* GCC linking problem...
*/
-#ifdef DEFINE_CXA_PURE_VIRTUAL
+#if 0
extern "C" { int __cxa_pure_virtual() { return 0;} }
#else
/* Some compiler/linker combinations fail on files without exported symbols. */
--- 1.149/mysql-test/mysql-test-run.pl 2006-11-10 19:08:01 +01:00
+++ 1.150/mysql-test/mysql-test-run.pl 2006-11-10 19:08:01 +01:00
@@ -220,6 +220,7 @@
our $opt_record;
our $opt_check_testcases;
+my $opt_report_features;
our $opt_skip;
our $opt_skip_rpl;
@@ -642,7 +643,7 @@
$glob_hostname= mtr_short_hostname();
- # 'basedir' is always parent of "mysql-test" directory
+ # 'basedir' is always above "mysql-test" directory ...
$glob_mysql_test_dir= cwd();
if ( $glob_cygwin_perl )
{
@@ -650,11 +651,19 @@
$glob_mysql_test_dir= `cygpath -m "$glob_mysql_test_dir"`;
chomp($glob_mysql_test_dir);
}
+ # ... direct parent for "tar.gz" installations, ...
$glob_basedir= dirname($glob_mysql_test_dir);
+ # ... or one more level up, for RPM installations.
+ if ( ! -d "$glob_basedir/bin" )
+ {
+ $glob_basedir= dirname($glob_basedir);
+ }
# Expect mysql-bench to be located adjacent to the source tree, by default
$glob_mysql_bench_dir= "$glob_basedir/../mysql-bench"
unless defined $glob_mysql_bench_dir;
+ $glob_mysql_bench_dir= undef
+ unless -d $glob_mysql_bench_dir;
$path_my_basedir=
$opt_source_dist ? $glob_mysql_test_dir : $glob_basedir;
@@ -682,7 +691,8 @@
"$path_client_bindir/mysqld-debug",
"$path_client_bindir/mysqld-max",
"$glob_basedir/libexec/mysqld",
- "$glob_basedir/bin/mysqld");
+ "$glob_basedir/bin/mysqld",
+ "$glob_basedir/sbin/mysqld");
# Use the mysqld found above to find out what features are available
collect_mysqld_features();
@@ -799,6 +809,13 @@
$opt_vardir= "$glob_mysql_test_dir/$opt_vardir";
}
+ # Ensure a proper error message
+ mkpath("$opt_vardir");
+ unless ( -d $opt_vardir and -w $opt_vardir )
+ {
+ mtr_error("Writable 'var' directory is needed, use the '--vardir' option");
+ }
+
# --------------------------------------------------------------------------
# Set tmpdir
# --------------------------------------------------------------------------
@@ -1320,7 +1337,9 @@
$exe_im=
mtr_exe_maybe_exists(
"$glob_basedir/server-tools/instance-manager/mysqlmanager",
- "$glob_basedir/libexec/mysqlmanager");
+ "$glob_basedir/libexec/mysqlmanager",
+ "$glob_basedir/bin/mysqlmanager",
+ "$glob_basedir/sbin/mysqlmanager");
return ($exe_im eq "");
}
--- 1.15/mysql-test/t/rename.test 2006-11-10 19:08:01 +01:00
+++ 1.16/mysql-test/t/rename.test 2006-11-10 19:08:01 +01:00
@@ -60,9 +60,6 @@
connection con2;
show tables;
UNLOCK TABLES;
-connection con1;
-reap;
-connection con2;
# Wait for the the tables to be renamed
# i.e the query below succeds
| Thread |
|---|
| • bk commit into 5.0 tree (joerg:1.2297) | Joerg Bruehe | 10 Nov |